# Asterisk Project : Asterisk 13 Application_AgentRequest

Created by wikibot on Aug 08, 2014

# AgentRequest()

### Synopsis

Request an agent to connect with the channel.

### Description

Request an agent to connect with the channel. Failure to find, alert the agent, or acknowledge the call will continue in the dialplan with `AGENT_STATUS` set.

AGENT_STATUS enumeration values:

- `INVALID` - The specified agent is invalid.
- `NOT_LOGGED_IN` - The agent is not available.
- `BUSY` - The agent is on another call.
- `NOT_CONNECTED` - The agent did not connect with the call. The agent most likely did not acknowledge the call.
- `ERROR` - Alerting the agent failed.

### Syntax

    AgentRequest(AgentId)

##### Arguments

- `AgentId`

### See Also

- Asterisk 13 Application_AgentLogin

### Import Version

This documentation was imported from Asterisk Version SVN-branch-13-r420538